class UsersController < ApplicationController
  before_action :find_user, only: [ :edit, :update, :destroy ] 

  def index
    @users = User.all
  end

  def new
    @user = User.new
  end

  def create
    @user = User.new(user_params)
    if @user.save
      session[:user] = @user.id
      flash[:notice] = 'Successful login'
      redirect_to hello_path
    else
      flash[:notice] = 'Email address in use or non-matching passwords'
      redirect_back fallback_location: register_path
    end
  end

  def edit
  end

  def update
    if @user.update(user_params)
      flash[:notice] = 'Update successful'
      redirect_to hello_path
    else
      flash[:notice] = 'Could not update personal data'
      redirect_back fallback_location: register_path
    end
  end

  def destroy
    @user.delete
    redirect_back fallback_location: register_path
  end

  def forgotten
  end

  def recover
  end


  private
    def find_user
      @user = User.find params[:id]
    end

    def user_params
      params.require(:user).permit(:name, :email, :password, :password_confirmation, :usertype, :neptun)
    end
end
