Rails.application.routes.draw do
  post 'sessions/create', to: 'sessions#create', as: 'login'
  match 'sessions/destroy', to: 'sessions#destroy', as: 'logout', via: [:get, :delete]
  resources :reviews
  get 'users/index'
  get 'users/new', to: 'users#new', as: 'register'
  post 'users/create'
  get 'users/edit'
  put 'users/update'
  get 'users/forgotten'
  post 'users/recover'
  delete 'users/destroy'
  resources :tasks
  resources :quizzes
  get 'say/hello', to: 'say#hello', as: 'hello'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
